org.apache.mina.proxy.handlers.http

## Class HttpProxyResponse

- java.lang.Object
- - org.apache.mina.proxy.handlers.http.HttpProxyResponse

-     public class HttpProxyResponse
      extends Object

  HttpProxyResponse.java - Wrapper class for HTTP requests.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `body` The HTTP response body.
    `Map<String,List<String>>` | `headers` The HTTP response headers.
    `String` | `httpVersion` The HTTP response protocol version.
    `int` | `statusCode` The HTTP response status code;
    `String` | `statusLine` The HTTP response status line.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HttpProxyResponse(String httpVersion, String statusLine, Map<String,List<String>> headers)` Constructor of an HTTP proxy response.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBody()` Returns the HTTP response body.
    `Map<String,List<String>>` | `getHeaders()` Returns the HTTP response headers.
    `String` | `getHttpVersion()` Returns the HTTP response protocol version.
    `int` | `getStatusCode()` Returns the HTTP response status code.
    `String` | `getStatusLine()` Returns the HTTP response status line.
    `void` | `setBody(String body)` Sets the HTTP response body.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### httpVersion

          public final String httpVersion

      The HTTP response protocol version.

    - #### statusLine

          public final String statusLine

      The HTTP response status line.

    - #### statusCode

          public final int statusCode

      The HTTP response status code;

    - #### headers

          public final Map<String,List<String>> headers

      The HTTP response headers.

    - #### body

          public String body

      The HTTP response body.

  - ### Constructor Detail

    - #### HttpProxyResponse

          protected HttpProxyResponse(String httpVersion,
                           String statusLine,
                           Map<String,List<String>> headers)

      Constructor of an HTTP proxy response.
      Parameters:
        `httpVersion` - the protocol version
        `statusLine` - the response status line
        `headers` - the response headers

  - ### Method Detail

    - #### getHttpVersion

          public final String getHttpVersion()

      Returns the HTTP response protocol version.

    - #### getStatusCode

          public final int getStatusCode()

      Returns the HTTP response status code.

    - #### getStatusLine

          public final String getStatusLine()

      Returns the HTTP response status line.

    - #### getBody

          public String getBody()

      Returns the HTTP response body.

    - #### setBody

          public void setBody(String body)

      Sets the HTTP response body.

    - #### getHeaders

          public final Map<String,List<String>> getHeaders()

      Returns the HTTP response headers.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.